# Class RWTServletContextListener

java.lang.Object
org.eclipse.rap.rwt.engine.RWTServletContextListener

public class RWTServletContextListener extends Object
A ServletContextListener that creates and starts an RWT application on initialization and stops it on shutdown. The application to start is read from the init parameter `org.eclipse.rap.applicationConfiguration`.

Since:
  2.0

## Constructor Summary

Constructors
Constructor
Description
`RWTServletContextListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`contextDestroyed(ServletContextEvent event)`
`void`
`contextInitialized(ServletContextEvent event)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RWTServletContextListener

public RWTServletContextListener()

## Method Details

### contextInitialized

public void contextInitialized(ServletContextEvent event)

### contextDestroyed

public void contextDestroyed(ServletContextEvent event)